Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Class WebAuthnAuthenticationEventIds

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.authn.WebAuthnAuthenticationEventIds

public final class WebAuthnAuthenticationEventIds extends Object
Constants to use for `ProfileAction` `EventContext` results related to WebAuthn authentication.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CREDENTIAL_POLICY_REJECTION`
A credential policy rejected the credential/authenticator.
`static final String`
`NO_REGISTERED_WEBAUTHN_CREDENTIALS`
The user has no registered WebAuthn credentials.
`static final String`
`USER_HANDLE_NOT_REGISTERED`
The user has no registered WebAuthn credentials for the user handle supplied.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WebAuthnAuthenticationEventIds()`
Private constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_REGISTERED_WEBAUTHN_CREDENTIALS

@Nonnull @NotEmpty public static final String NO_REGISTERED_WEBAUTHN_CREDENTIALS
The user has no registered WebAuthn credentials.

See Also:
  - Constant Field Values

### USER_HANDLE_NOT_REGISTERED

@Nonnull @NotEmpty public static final String USER_HANDLE_NOT_REGISTERED
The user has no registered WebAuthn credentials for the user handle supplied.

See Also:
  - Constant Field Values

### CREDENTIAL_POLICY_REJECTION

@Nonnull @NotEmpty public static final String CREDENTIAL_POLICY_REJECTION
A credential policy rejected the credential/authenticator.

See Also:
  - Constant Field Values

## Constructor Details

### WebAuthnAuthenticationEventIds

private WebAuthnAuthenticationEventIds()
Private constructor.